﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class GetProfilePic : MonoBehaviour
{
    // Start is called before the first frame update
    public string url = "http://images.earthcam.com/ec_metros/ourcams/fridays.jpg";

    public enum ImageType { Image, SpriteRenderer }

    [SerializeField]
    ImageType imageType = ImageType.SpriteRenderer;

    // IEnumerator Start()
    // {
    //     print("called");
    //     // Start a download of the given URL
    //     using (WWW www = new WWW(url))
    //     {
    //         // Wait for download to complete
    //         yield return www;

    //         // assign texture
            
    //         switch (imageType)
    //         {
    //             case ImageType.Image:
    //                 Image img = GetComponent<Image>();
    //                 img.sprite = Sprite.Create(www.texture, new Rect(0, 0, www.texture.width, www.texture.height), new Vector2(0, 0));
    //                 break;
    //             case ImageType.SpriteRenderer:
    //                 GetComponent<SpriteRenderer>().sprite = Sprite.Create(www.texture, new Rect(0, 0, www.texture.width, www.texture.height), new Vector2(0, 0));
    //                 break;
    //         }
    //     }
    // }

    IEnumerator GetPic()
    {
        // Start a download of the given URL
        using (WWW www = new WWW(url))
        {
            // Wait for download to complete
            yield return www;

            // assign texture
            
            switch (imageType)
            {
                case ImageType.Image:
                    Image img = GetComponent<Image>();
                    img.sprite = Sprite.Create(www.texture, new Rect(0, 0, www.texture.width, www.texture.height), new Vector2(0.5f, 0.5f));
                    break;
                case ImageType.SpriteRenderer:
                    GetComponent<SpriteRenderer>().sprite = Sprite.Create(www.texture, new Rect(0, 0, www.texture.width, www.texture.height), new Vector2(0.5f, 0.5f));
                    break;
            }
        }
    }

    public void SetPic()
    {
        StartCoroutine(GetPic());
    }
}
