﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerMovement : MonoBehaviour
{
    bool moving;

    Rigidbody2D body;

    Vector2 direction;
    float playerSpeed;

    bool hasBomb = false;

    bool canJump = true;

    void Awake()
    {
        body = GetComponent<Rigidbody2D>();
    }

    public void SetMovement(string directionKey, bool shouldMove, float speed)
    {
        playerSpeed = speed;
        playerSpeed = directionKey.ToLower() == "right" ? playerSpeed : playerSpeed*-1;
        // Debug.Log(key + " is key");
        var direction = new Vector2(playerSpeed, 0);
        this.direction = new Vector2(direction.x, body.velocity.y);
        moving = shouldMove;
    }

    public void Jump(float jumpForce)
    {
        if(canJump)body.AddForce(body.velocity + (Vector2)transform.up * jumpForce);
        canJump = false;
    }

    void FixedUpdate()
    {
        if(moving)
        {
            // body.velocity += direction;
            body.AddForce(direction);
        }
    }

    public void SetPic(string url)
    {
        transform.GetChild(0).GetComponent<GetProfilePic>().url = url;
        transform.GetChild(0).GetComponent<GetProfilePic>().SetPic();
    }

    void OnCollisionEnter2D(Collision2D col)
    {
        if(col.transform.tag.Equals("Player"))
        {
            //player collision logic
            // gameObject.SetActive(false);
            // print("COLLIDED WITH  " + col.gameObject.name);
            
            // print(name + " passed bomb to " + col.gameObject.name);
            // GameLogic.instance.SetBomb(col.gameObject);
            GameLogic.instance.HandleCollision(this.gameObject, col.gameObject);
        }
        else{
            canJump = true;
        }
    }
}
